/*english-translator.js
	
Translate English to Spanish	

*/

class EnglishToSpanishTranslator {
	
	constructor(englishWord) {
		this.results = [];		
		this.englishWord = englishWord;
		this.translate();
	}
	
	getResults() {
		return this.results;
	}	
	
	translate() {
		const englishWord = this.englishWord;
		//convert to lowercase and remove whitespace for lookup
		const key = englishWord.toLowerCase().replace(/\s/g,'');
		let spanishWord = this.translations().get(key);
		if (!spanishWord)
			spanishWord = 'Not Found';
		this.addResult(englishWord, spanishWord);
	}
	
	//----------------------	
	//Helpers
	
	addResult(englishWord, spanishWord) {
		//add as nice simple js plain object
		this.results.push({english: englishWord, spanish: spanishWord});
	}
	
	translations() {
		return new Map(
			[['hello', 'hola'],
			['goodbye', 'adios'],
			['goodmorning', 'buenos dias'],						
			['goodday', 'buenos dias'],
			['goodnight', 'buenas noches'],
			['yes', 'si'],
			['no', 'no']]);	
	}
	
}

//=====================================	

exports.EnglishToSpanishTranslator = EnglishToSpanishTranslator;	
